edu.sc.seis.sod.velocity.network

## Class VelocitySite

- java.lang.Object
- - edu.iris.Fissures.IfNetwork.Site
  - - edu.sc.seis.sod.velocity.network.VelocitySite

- All Implemented Interfaces:
    java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class VelocitySite
      extends edu.iris.Fissures.IfNetwork.Site

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.IfNetwork.Site

      `comment, effective_time, id, my_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocitySite(edu.iris.Fissures.network.SiteImpl s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_code()`
    `edu.iris.Fissures.IfNetwork.SiteId` | `get_id()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getCodes()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getDepth()`
    `java.lang.String` | `getElevation()`
    `java.lang.String` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String dateFormat)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEndDate()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLongitude()`
    `VelocityNetwork` | `getNet()`
    `java.lang.String` | `getOrientedLatitude()`
    `java.lang.String` | `getOrientedLongitude()`
    `java.lang.String` | `getStart()`
    `java.lang.String` | `getStart(java.lang.String dateFormat)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getStartDate()`
    `VelocityStation` | `getStation()`
    `void` | `insertIntoContext(org.apache.velocity.VelocityContext ctx)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class edu.iris.Fissures.IfNetwork.Site

      `_read, _truncatable_ids, _type, _write, getBeginTime, getEffectiveTime, getEndTime, getId, getLocation, intern, intern, setBeginTime, setComment, setEffectiveTime, setEndTime, setId, setLocation, setStation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocitySite

          public VelocitySite(edu.iris.Fissures.network.SiteImpl s)

  - ### Method Detail

    - #### get_id

          public edu.iris.Fissures.IfNetwork.SiteId get_id()

      Specified by:
        `get_id` in class `edu.iris.Fissures.IfNetwork.Site`

    - #### get_code

          public java.lang.String get_code()

      Specified by:
        `get_code` in class `edu.iris.Fissures.IfNetwork.Site`

    - #### getCode

          public java.lang.String getCode()

    - #### getCodes

          public java.lang.String getCodes()

    - #### getStation

          public VelocityStation getStation()

      Overrides:
        `getStation` in class `edu.iris.Fissures.IfNetwork.Site`

    - #### getNet

          public VelocityNetwork getNet()

    - #### getStartDate

          public edu.iris.Fissures.model.MicroSecondDate getStartDate()

    - #### getEndDate

          public edu.iris.Fissures.model.MicroSecondDate getEndDate()

    - #### getStart

          public java.lang.String getStart()

    - #### getStart

          public java.lang.String getStart(java.lang.String dateFormat)

    - #### getEnd

          public java.lang.String getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String dateFormat)

    - #### getComment

          public java.lang.String getComment()

      Overrides:
        `getComment` in class `edu.iris.Fissures.IfNetwork.Site`

    - #### getLatitude

          public java.lang.String getLatitude()

    - #### getLongitude

          public java.lang.String getLongitude()

    - #### getOrientedLatitude

          public java.lang.String getOrientedLatitude()

    - #### getOrientedLongitude

          public java.lang.String getOrientedLongitude()

    - #### getDepth

          public java.lang.String getDepth()

    - #### getElevation

          public java.lang.String getElevation()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### insertIntoContext

          public void insertIntoContext(org.apache.velocity.VelocityContext ctx)